import java.awt.*;
import java.awt.event.*;
import java.util.Random;
import java.awt.image.MemoryImageSource;

public class Stucksweep implements MouseListener {

	public void doItAll() {
		int[] pixels = new int[16 * 16];
		Image image = Toolkit.getDefaultToolkit().createImage(
        	new MemoryImageSource(16, 16, pixels, 0, 16));
		Cursor transparentCursor =
        		Toolkit.getDefaultToolkit().createCustomCursor(image, new Point(0, 0), "invisiblecursor");

		GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
		GraphicsDevice myDevices[] = ge.getScreenDevices();
		GraphicsDevice myDev = myDevices[0];
		GraphicsConfiguration[] gc = myDev.getConfigurations();

		Frame myFrame = new Frame(gc[0]);
		Window myWin = new Window(myFrame);
		myWin.setCursor(transparentCursor);
		myWin.addMouseListener(this);
		myDev.setFullScreenWindow(myWin);

		int i = 0;
		Random r = new Random();

		while (i < 1) {
			int whichcol = r.nextInt(5);
			switch(whichcol) {
				case 0: myWin.setBackground(Color.GREEN); break;
    				case 1: myWin.setBackground(Color.BLUE); break;
    				case 2: myWin.setBackground(Color.RED); break;
    				case 3: myWin.setBackground(Color.WHITE); break;
    				case 4: myWin.setBackground(Color.BLACK); break;
                        }

			int sleeptime = r.nextInt(15);
                        sleeptime++;
                        try{
                        	Thread.sleep(sleeptime);
                        } catch(Exception e) {}
		}
	}

	public void mouseClicked(MouseEvent e) {
		System.exit(1);
	}

	public void mouseEntered(MouseEvent e) {}
	public void mouseExited(MouseEvent e) {}
	public void mousePressed(MouseEvent e) {}
	public void mouseReleased(MouseEvent e) {}


	public static void main(String args[]) {

                Stucksweep sinst = new Stucksweep();
                sinst.doItAll();

	}



}
